# 
#   insertxml -- test dxxInsertXML() for partial decomposition
# 
#
db2  "connect to mydb"

db2 "insert into db2xml.dtd_ref values('neworder.dtd', db2xml.XMLClobFromFile('/usr/IBMdb2xml/V7.1/samples/dtd/neworder.dtd'), 0, 'anita', 'anita','anita')"

db2 "echo -------- Enabling collection abc. --------"
dxxadm enable_collection mydb abc /usr/IBMdb2xml/V7.1/samples/dad/neworder1.dad

db2 "echo -------- Calling the dxxInsertXML stored procedure. --------"
insertx mydb abc /usr/IBMdb2xml/V7.1/samples/xml/neworder1.xml
db2 "select * from order_tab"
db2 "select * from part_tab"
db2 "select * from ship_tab"

db2 "echo -------- Cleaning up the database mydb. --------"
db2 drop table order_tab
db2 drop table part_tab
db2 drop table ship_tab

dxxadm disable_collection mydb abc
db2 "delete from db2xml.dtd_ref where dtdid='neworder.dtd'"

db2 terminate
