/******************************************************************************
*
*  Licensed Materials - Property of IBM
*  "Restricted Materials of IBM"
*  IBM DB2 XML Extender
*
*  (C) Copyright IBM Corp. 1987, 2004.  All Rights Reserved 
*  US Government Users Restricted Rights - Use, duplication or disclosure
*  restricted by GSA ADP Schedule Contract with IBM Corp.
*
*  Source File Name = dxx.h
*
*
*******************************************************************************/
#ifndef _DXX_H
#define _DXX_H

/* Override types: */
#define NO_OVERRIDE       0     /* No override */
#define SQL_OVERRIDE      1     /* override for SQL mapping */
#define XML_OVERRIDE      2     /* override for RDB_node mapping */

/* To remove a condition in an XML override,
   specify location_path = NO_CONDITION.
   For example, "/department/name = NO_CONDITION" */
#define NO_CONDITION      "NO_CONDITION"

/* Constants for XML validation: */
#define DXX_VALID      1
#define DXX_INVALID    0

#endif
